export class DropZoneResp {
  constructor(data: any) {
    Object.assign(this, data);
  }

  public id: number;
  public latitude: string;
  public longitude: string;
  public name: string;
  public address: string;
  public website: string;
  public email: string;
  public type: Array<string>;
  public isFavorite: boolean;

  public isType(searchedType: string): boolean {
    return this.type.includes(searchedType);
  }
}

export class DropZoneReq {
  constructor(data: any) {
    Object.assign(this, data);
  }

  public id: number;
  public latitude: string;
  public longitude: string;
  public name: string;
  public address: string;
  public website: string;
  public email: string;
  public type: Array<string>;
  public isFavorite: boolean;
}
